/*
 *  Copyright (C) 2001 Philip Langdale
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef PROGRESS_CALLBACKS_H
#define PROGRESS_CALLBACKS_H

#ifndef NS_NO_VTABLE
#define NS_NO_VTABLE
#endif

#ifndef __gen_nsISupports_h__
#include "nsISupports.h"
#endif

#define G_IPROGRESSCALLBACKS_IID_STR "6378dd80-5ad0-46f9-8cb4-ecd5d232f90d"
  
#define G_IPROGRESSCALLBACKS_IID \
  {0x6378dd80, 0x5ad0, 0x46f9, \
    { 0x8c, 0xb4, 0xec, 0xd5, 0xd2, 0x32, 0xf9, 0x0d }}

class NS_NO_VTABLE GIProgressCallbacks : public nsISupports
{
 public:
	NS_DEFINE_STATIC_IID_ACCESSOR(G_IPROGRESSCALLBACKS_IID)
	NS_IMETHOD CancelHelperProgress (void) = 0;
	NS_IMETHOD TogglePause (void) = 0;
};

#define G_DECL_GIPROGRESSCALLBACKS \
  NS_IMETHOD CancelHelperProgress (void); \
  NS_IMETHOD TogglePause (void);

#endif //PROGRESS_CALLBACKS_H

